Package ru.bitel.bgbilling.kernel.event.events

# Class ContractObjectStatusChangedTopicEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.events.ContractObjectStatusChangedTopicEvent

All Implemented Interfaces:
  `Serializable`

public class ContractObjectStatusChangedTopicEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Асинхронное событие - cтатус договора изменен.
Вызывается после изменения статуса договора, в том числе, при смене статуса из web.
Унаследован от `Event`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractObjectStatusChangedTopicEvent()`
  ``
  `ContractObjectStatusChangedTopicEvent(ContractStatus status, int userId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractStatus`
  `getStatus()`
  Возвращает установленный статус договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractObjectStatusChangedTopicEvent

    protected ContractObjectStatusChangedTopicEvent()

  - ### ContractObjectStatusChangedTopicEvent

    public ContractObjectStatusChangedTopicEvent(ContractStatus status, int userId)
    Конструктор события.
    Parameters:
      `status` - - статус договора
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getStatus

    public ContractStatus getStatus()
    Возвращает установленный статус договора.
    Returns:
      status - статус договора